#include <iostream.h>
#include <alloc.h>
#ifdef __DJGPP__
#   define coreleft stackavail
#endif
#include "capt.h"
#include "hdr_type.h"
#include "anl_pkt.h"

char * name="xxx";

int main(int argc, char **argv) {
  pktrec *pkt;
  fhdr * hdr = NULL;
  FILE * f;
  AnlPkt * p;
  if (argc == 2) {
    name = argv[1];
  }
  f=pkt_rd_open(name, &hdr);
  while ( (pkt = pkt_read(f)) != 0 ) {
    p=AnlPkt::parse_pkt(pkt->data, pkt->h);
    if ( p->get_types() & (T_IP|T_ARP)) {
      p->show(T_ALL ^ T_IP ^ T_OTHERS ^ T_DATA ^ T_FRAME ^ S_DATE);
    } else {
      p->header(T_ALL ^ S_DATE ^ S_USEC);
    }
    //p->show(T_ALL ^ T_DATA);
    freepkt(pkt); // Nesmime zapomenout !
    g_putc('\n');
    chk_mem("Volne:%lu\r\n", coreleft());
    delete p;
  }
  fclose(f);
  return OK;
}
