#ifndef __ETHDUMP
#define __ETHDUMP

//#define SIMULATE
#define MAX_SIMUL_DELAY 100

#ifndef TRUE
  #define TRUE 1
#endif
#ifndef FALSE
  #define FALSE 0
#endif
#define MAC_ADDR_LEN 12

#define ESC 27
#define ENTER 13
#define IP_TYPE 0x0800
#define MIN_SNAP 0x90
#define MAX_SNAP 0x700
#define DEF_FILENAME "dump.dat"
#define DEF_DELAY 0.5 //sekundy
#define DELAY_CHANGE 0.3 // = procenta/100
#define DEF_MODE 6
#define MIN_MEM 10000

#define OUT_FILE_PREP 'f'
#define HELP_PREP 'h'
#define IN_FILE_PREP 'r'
#define SIN_FILE_PREP 'R'
#define LENGTH_PREP 'l'
#define SOURCE_PREP 's'
#define DEST_PREP 'd'
#define PROT_PREP 'p'
#define INFO_PREP 'i'
#define NO_MEM_PREP 'n'
#define MODE_PREP 'm'

#define IP_ADDR_SOUR 1
#define IP_ADDR_DEST 2
#define MAC_ADDR_SOUR 4
#define MAC_ADDR_DEST 8
#define MAC_ADDR_LEN 12


#define IP_PROT_SWAPPED 0x0008
#define TCPIP 6
#define UDPIP 17

#define TCP_PROT 1
#define UDP_PROT 2
#define OTHER_IP_PROT 4
#define OTHER_PROT 8
#define TCP_PROT_PREP 'T'
#define UDP_PROT_PREP 'U'
#define TCP_UDP_PREP 'B'
#define ALL_IP_PREP 'I'
#define ALL_PROT_PREP 'A'

#define NO_INFO_PREP 'N'
#define MIN_INFO_PREP 'M'
#define SHORT_INFO_PREP 'S'
#define LONG_INFO_PREP 'L'
#define NO_INFO 1
#define MIN_INFO 2
#define SHORT_INFO 3
#define LONG_INFO 4
int parseMacAddress(char *in, unsigned char *out);
int parseIpAddress(char *in, unsigned long *out);
char *protocolType(int num);
char *all_eth_types(unsigned int pnum);
char* get_eth_prot(unsigned int prot);

int processPacketsHelp(void);
int delayHelp(void);
void printUsage(void);
#endif
