#ifndef __GEN_PKT
#define __GEN_PKT
#  include  "anl_pkt.h"

class Other_Pkt : public AnlPkt {

  protected:
    uchar * pdata;
    uint32 psiz;
    char is_cut;

    virtual AnlPkt * parse_pkt(const uchar * pdata, uint32 psize, char cut){
      g_puts("OtherPkt::parse_pkt(...) nema byt nikdy volano\n");
      return NULL;
    }

  public:

    Other_Pkt(const uchar * pktdata,const uint32 psize,char cut) {
      psiz = psize;
      pdata = new uchar [psize];
      pdata = (uchar *) memcpy(pdata, pktdata, psize);
      is_cut = cut;
      next = NULL; // Nic jineho ani nemuze byt
    }

    // Destruktor
    virtual ~Other_Pkt() {
      chk_mem("Other->del 0x%hX\r\n", get_types());
      if (pdata) {
	delete pdata;
      }
    }

    // Virtualni metody
    virtual void header(ushort flags, char recursive) { }
    virtual void show(ushort flags) {
      if (flags & T_OTHERS) {
        g_putc('\n');
	hexshow(pdata, psiz, is_cut);
      }
    }

    virtual ushort get_types() {
      return T_OTHERS;
    }
};

class Pkt_Data : public Other_Pkt {

  public:

    Pkt_Data(const uchar * pktdata,const uint32 psize,char cut)
      :  Other_Pkt(pktdata, psize, cut) {}

    // Virtualni metody
    virtual void show(ushort flags) {
      if (flags & T_DATA) {
        g_putc('\n');
	hexshow(pdata, psiz, is_cut);
      }
    }

    virtual ushort get_types() {
      return T_DATA;
    }

};



#endif /* GEN_PKT */

