#include <stdio.h>
#include <conio.h>

#include "ethdump.h"

void printUsage(void){
char c;
clrscr();
printf("ETHDUMP Verze 1.0  (2001)  Autori: Pavel Moravec, Martin Kot\n\n");
printf("Syntaxe: dump [options ...]\n");
printf("  -%cXXXXXXXXXXXX     Zachyti framy s danou cilovou MAC adresou. Adresa je\n",DEST_PREP);
printf("                     zadana hexadecimalnim cislem\n");
printf("  -%cNNN.NNN.NNN.NNN  Zachyti pakety s danou cilovou IP adresou. Adresa je\n",DEST_PREP);
printf("                     zadana jako ctverice desitkovych cisel v rozsahu 0-255\n");
printf("                     oddelenych teckami\n");
printf("  -%cname             Ulozi nachytane pakety do souboru name\n",OUT_FILE_PREP);  
printf("  -%cC                Specifikuje mnozstvi vypisovanych udaju pri zachycovani\n", INFO_PREP);  
printf("                     Varianty: %c - bez informaci\n",NO_INFO_PREP);  
printf("                               %c - poradi, cas zachyceni, delka\n",MIN_INFO_PREP);  
printf("                               %c - %c, zdrojova a cilova MAC adresa, protokol\n",SHORT_INFO_PREP,MIN_INFO_PREP);  
printf("                               %c - %c, zdrojova a cilova IP adresa, protokol\n",LONG_INFO_PREP, SHORT_INFO_PREP);  
printf("                                                -standardni\n");  
printf("  -%c                 Vypise tuto napovedu. Po vypsani program konci.\n",HELP_PREP);  
printf("  -%cnumber           Pocet bytu, ktere jsou z paketu maximalne zachyceny\n",LENGTH_PREP);  
printf("  -%cN                Mod zachyceni paketu\n",MODE_PREP);  
printf("                     Varianty: 2 - jen pakety jdouci na lokalni adresu\n");
printf("                               3 - 2, broadcasty\n");
printf("                               5 - 3, multicasty\n");
printf("                               6 - vse\n");
printf("\nStiskni <ESC> pro konec nebo cokoliv pro dalsi stranku.");
c=getch();
if(c==ESC){
  return;
}
clrscr();
printf("  -%c                 Bude zachycene pakety primo ukladat do souboru (pokud\n",NO_MEM_PREP);  
printf("                     neni specifikovan, je zvolen %s). Pri velkem provozu\n",DEF_FILENAME);
printf("                     na siti mohou byt vetsi pocty nezachycenych paketu.\n");
printf("                     Bez teto volby je pocet zachycenych paketu omezen\n");
printf("                     velikosti volne pameti\n");
printf("  -%cC                Urci filtr na protokol paketu\n",PROT_PREP);
printf("                     Varianty: %c - TCP\n",TCP_PROT_PREP);
printf("                               %c - UDP\n",UDP_PROT_PREP);
printf("                               %c - TCP, UDP\n",TCP_UDP_PREP);
printf("                               %c - vsechny na IP\n",ALL_IP_PREP);
printf("                               %c - vsechny   -standardni varianta\n",ALL_PROT_PREP);
printf("  -%cname             Nezachycuje pakety na siti, ale cte je ze souboru name\n",IN_FILE_PREP);
printf("                     Rusi platnost voleb -%c,-%c, -%c, \n", INFO_PREP, MODE_PREP, NO_MEM_PREP);
#ifdef SIMULATE
printf("  -%cname             Nezachycuje pakety na siti, ale cte je ze souboru name,\n",SIN_FILE_PREP);
printf("                     a dale se chova, jako by byly zachyceny ze site\n");
#endif
printf("  -%cXXXXXXXXXXXX     Zachyti framy s danou zdrojovou MAC adresou. Adresa je\n",SOURCE_PREP);
printf("                     zadana hexadecimalnim cislem\n");
printf("  -%cNNN.NNN.NNN.NNN  Zachyti pakety s danou zdrojovou IP adresou. Adresa je\n",SOURCE_PREP);
printf("                     zadana jako ctverice desitkovych cisel v rozsahu 0-255\n");
printf("                     oddelenych teckami\n");
}
int delayHelp(){
  char c;
  printf("\nOvladani pri vypisu:\n");
  printf("  <ESC>  - Konec programu\n");
  printf(" <ENTER> - Dalsi paket\n");
  printf("   <+>   - Zvetsi interval mezi pakety o %2.0f%\n",DELAY_CHANGE*100);
  printf("   <->   - Zmensi interval mezi pakety o %2.0f%\n",DELAY_CHANGE*100);
  printf("   <p>   - Zastavi vypis do stisku klavesy\n");
  printf("   <d>   - Nastavi interval mezi pakety na standardni hodnotu %2.2fs\n",
                  DEF_DELAY);
  printf("   <0>   - Nastavi interval mezi pakety na 0\n");
  printf("\n\nStiskni <ESC> pro konec programu nebo cokoliv pro"
                        " vypis informaci o paketech\n");
  c=getch();
  if(c==ESC){
    return FALSE;
  }
  else {
    return TRUE;
  }
}

int processPacketsHelp(){
  char c;
  printf("\nOvladani pri chytani paketu:\n");
  printf(" <ESC>  - Konec programu\n");
  printf("<ENTER> - Prestane chytat pakety a zobrazi podrobne informace"
                  " o paketech\n");
  printf("\n\nStiskni <ESC> pro konec programu nebo cokoliv pro zacatek"
                  " chytani paketu\n");
  c=getch();
  if(c==ESC){
    return FALSE;
  }
  return TRUE;
}

