#include "capt.h"
#define HEX_PREF "%05x "
#if (defined(__TURBOC__) || defined(__DJGPP__)) && ! defined(STDOUT)

/* Urcite skvele zrychli praci, ale co se da delat...*/
int putch1(int ch) {
  if ( ch == '\n') {
    putch('\r');
  }
  return putch(ch);
}

#endif
/*int (*putchr) (int) =  putchar;
int (*putstr) (const char*, ... ) = printf;*/

char * hexdig= "0123456789ABCDEF";

void show_MAC(uchar * adr, uchar size, ushort type) {
  if ( type == T_IP ) {
     uchar i;
     uchar s1=size-1; 
     for (i=0 ; i < s1; i++) {
        g_printf("%hu.", adr[i]);
     }
     g_printf("%hu", adr[s1]);
  } else {
     hexdump(adr, size, ':', size+1);
  }
}

void hexdump(uchar * data, uint32 size, char sep, ushort el_per_line) {
  register uint32 i=0, s1 = size-1;
  register int elem=1;
  for( ; i < size; i++, elem++) {
    g_putc(hexdig[(data[i] & 0xf0) >> 4]);
    g_putc(hexdig[(data[i] & 0xf)]);
    if ( el_per_line && ! (elem ^ el_per_line)){
      elem = 0;
      g_putc('\n');
    } else if ( i != s1) {
      g_putc(sep);
    }
  }
}

void hexshow(uchar * data, uint32 size, char cut) {
  register uint32 i, s1 = size-1, s2 = ((size-1)/16 +1) * 16;
  register int elem;

  if (! size) { /* Prazdny vstup -> nic */
    return;
  }

  for(i=0, elem=1; i < s2; i++, elem++) {
    if ( ! (i & 0xf) ) {
      g_printf(HEX_PREF, i);
    }
    if ( i < size) {
      g_putc(hexdig[(data[i] & 0xf0) >> 4]);
      g_putc(hexdig[(data[i] & 0xf)]);
    } else if (i < s2-1) {
      g_puts("   ");
    } else {
      g_puts("  ");
    }
    if (elem == 16) { /* Vypis nekodovanych znaku */
      register char j, k=0;
      elem = 0;
      g_puts(" | ");
      if ( i > s1 ) {
	      k = s1 - i;
      }
      for (j=-15; j <= k; j++) {
  	uchar c=data[i+j];
	if (c & 0xE0) { // c > 0x20
	  g_putc(c);
	} else {
	  g_putc('.');
	}
      }
      g_putc('\n');
    } else if ( i < size) {
	g_putc(' ');
    }
    if ( (i % 4) == 3 && ((i+1) % 16) ) { // Rozdelovnik
      g_puts("- ");
    }
  }
  if (cut) {
#ifdef __TURBOC__
    g_puts("+++\r\n\r\n");
#else    
    g_puts("+++\n\n");
#endif
  } else {
    g_putc('\n');
  }
}

